## ClutterClone ClutterClone — An actor that displays a clone of a source actor |

## Functions

ClutterActor * | clutter_clone_new ()
void | clutter_clone_set_source ()
ClutterActor * | clutter_clone_get_source ()

## Properties

ClutterActor * | source | Read / Write / Construct

## Types and Values

struct | ClutterClone
struct | ClutterCloneClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── ClutterActor
                ╰── ClutterClone

## Implemented Interfaces

ClutterClone implements ClutterContainer, ClutterScriptable, ClutterAnimatable and AtkImplementorIface.

## Description

ClutterClone is a ClutterActor which draws with the paint function of another actor, scaled to fit its own allocation.

ClutterClone can be used to efficiently clone any other actor.

Unlike `clutter_texture_new_from_actor()`, ClutterClone does not require the presence of support for FBOs in the underlying GL or GLES implementation.

ClutterClone is available since Clutter 1.0

## Functions

### clutter_clone_new ()

    ClutterActor *
    clutter_clone_new (ClutterActor *source);

Creates a new ClutterActor which clones `source` /

#### Parameters

source | a ClutterActor, or `NULL` |

#### Returns

the newly created ClutterClone

Since 1.0

### clutter_clone_set_source ()

    void
    clutter_clone_set_source (ClutterClone *self,
                              ClutterActor *source);

Sets `source` as the source actor to be cloned by `self` .

#### Parameters

self | a ClutterClone |
source | a ClutterActor, or `NULL`. | [allow-none]

Since 1.0

### clutter_clone_get_source ()

    ClutterActor *
    clutter_clone_get_source (ClutterClone *self);

Retrieves the source ClutterActor being cloned by `self` .

#### Parameters

self | a ClutterClone |

#### Returns

the actor source for the clone.

[transfer none]

Since 1.0

## Types and Values

### struct ClutterClone

    struct ClutterClone;

The ClutterClone structure contains only private data and should be accessed using the provided API

Since 1.0

### struct ClutterCloneClass

    struct ClutterCloneClass {
    };

The ClutterCloneClass structure contains only private data

Since 1.0

## Property Details

### The `“source”` property

      “source”                   ClutterActor *

This property specifies the source actor being cloned.

Flags: Read / Write / Construct

Since 1.0